//RECV000B JOB (SYS),'TSO RECEIVE XMI',          <-- Review and Modify
//             CLASS=A,MSGCLASS=X,REGION=0M,     <-- Review and Modify
//             MSGLEVEL=(1,1),NOTIFY=&SYSUID     <-- Review and Modify
//* -------------------------------------------------------*
//* *  JOB: $RECVTSO  TSO RECEIVE APPLICATION XMI FILES    *
//* *                 for RECVXMIT software distribution   *
//* -------------------------------------------------------*
//*
//*    This JOB executes two steps:
//*
//*     1) IDCAMS to ensure RECVXMIT HLQ alias is defined
//*        on master catalog
//*        Note: Alias definition bypassed if alias already
//*        ----- defined.
//*
//*     2) Executes TSO in BATCH mode and issues  
//*        TSO RECEIVE commands to load the XMI distribution
//*        library (an XMI SEQ dataset) to a temporary PDS.
//*        Each software PDS is loaded from before deleting
//*        temporary PDS.
//*
//*
//*    This JCL may be modified to suit your installation
//*    needs.                                                
//*
//*    The TSO RECEIVE commands use INdataset, DAtaset, and 
//*    NOPRompt parms.                                              
//*
//*    The target volume during the RECEIVE action will be at
//*    systems discretion.     
//*
//*    If a desired volume is required, append the Volser(volser)
//*    parm to the affected RECEIVE commands below. 
//*
//*
//* -------------------------------------------------------*
//* *                                                      *
//* *  PROC: PBTSO                                         *
//* *       Batch TSO                                      *
//* *                                                      *
//* -------------------------------------------------------*
//PBTSO    PROC
//STEP01   EXEC PGM=IKJEFT01
//SYSPROC  DD  DISP=SHR,DSN=SYS2.CMDPROC           
//*STEPLIB  DD  DISP=SHR,DSN=SYS2.LINKLIB           
//SYSPRINT DD  SYSOUT=*
//SYSTSPRT DD  SYSOUT=*
//SYSTSIN  DD  DUMMY       Command Line Input
//*
//         PEND
//*
//* -------------------------------------------------------*
//* Ensure HLQ alias is declared
//* -------------------------------------------------------*
//DEFALIAS EXEC PGM=IDCAMS 
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 PARM GRAPHICS(CHAIN(SN))
 LISTCAT ALIAS  ENT(RECVXMIT) 

 /* Review and modify catalog name below */                    
 IF LASTCC NE 0 THEN -
    DEFINE ALIAS(NAME(RECVXMIT) RELATE(SYS1.UCAT.MVS))                          
/*                                                                      
//* -------------------------------------------------------*
//* TSO RECEIVE CNTL, HELP, CLIST, ISPF, ASM, MACLIB 
//* -------------------------------------------------------*
//TSORCV   EXEC PBTSO
//* -------------------------------------------------------*
//* Review and Modify the DSN of the transferred XMI           <-----
//* used in the TSO RECEIVE SYSTSIN DD.                        <-----
//* -------------------------------------------------------*
//STEP01.SYSTSIN DD *
 /* Modify 'your.transfer.xmi' with   */    
 /* actual transferred XMI SEQ DSN    */    
RECEIVE IN('your.transfer.xmi')          -  
        DA('RECVXMIT.V0R9M02.XMIPDS') NOPROMPT   
 /* Receive CNTL                      */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(CNTL)')   -  
        DA('RECVXMIT.V0R9M02.CNTL')   NOPROMPT   
 /* Receive HELP                      */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(HELP)')   -  
        DA('RECVXMIT.V0R9M02.HELP')   NOPROMPT   
 /* Receive CLIST                     */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(CLIST)')  -  
        DA('RECVXMIT.V0R9M02.CLIST')  NOPROMPT   
 /* Receive ISPF                      */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(ISPF)')   -  
        DA('RECVXMIT.V0R9M02.ISPF')   NOPROMPT   
 /* Receive ASM                       */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(ASM)')    -  
        DA('RECVXMIT.V0R9M02.ASM')    NOPROMPT   
 /* Receive MACLIB                    */    
RECEIVE IN('RECVXMIT.V0R9M02.XMIPDS(MACLIB)') -  
        DA('RECVXMIT.V0R9M02.MACLIB') NOPROMPT   
 /* Delete XMIPDS                     */    
DELETE  'RECVXMIT.V0R9M02.XMIPDS'                
/*
//
